using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;

namespace APT.BaseData.Data.Mapping.FM
{
    public class FMExtConnAsynchTempMap : APTEntityBaseMap<T_FM_EXT_CONN_ASYNCH_TEMP>
    {
        public override void Configure(EntityTypeBuilder<T_FM_EXT_CONN_ASYNCH_TEMP> builder)
        {
            base.Configure(builder);
            builder.Property(t => t.PARAMS).HasMaxLength(2000);
            builder.Property(t => t.ECMSAGE).HasMaxLength(2000);
            builder.Property(t => t.FUNC_NAME).HasMaxLength(200);
            builder.Property(t => t.TABLE_NAME).HasMaxLength(200);
            builder.Property(t => t.FLAG_FEILD_NAME).HasMaxLength(200);
            builder.Property(t => t.FLAG_ECMSAGE_FIELD_NAME).HasMaxLength(200);
            builder.Property(t => t.ECMSAGE_FIELD_NAME).HasMaxLength(200);
            //builder.HasOne(t => t.Nav_ExtConnLog).WithMany().HasForeignKey(t => t.EXT_CONN_LOG_ID);
           // builder.HasOne(t => t.Nav_ExtConnTrans).WithMany().HasForeignKey(t => t.EXT_CONN_TRANS_ID); 
        }
    }
}
